<?php

namespace App\Services\PwHexParser\Types;

use App\Services\PwHexParser\Contracts\Translate;

class Flight extends Translate
{
    protected string $typeKey = 'Flight';

    public function getStructure(): array
    {
        return [
            'fuel1' => 'int64',
            'fuel2' => 'int64',
            'level' => 'int32',
            'grade' => 'int32',
            'class' => 'int64',
            'time_per_element' => 'int64',
            'speed1' => 'float',
            'speed2' => 'float',
            'item_flag' => 'int32',
            'crc' => 'int64',
        ];
    }

    public function getMinimumLength(): int
    {
        return 63;
    }
}